Question about using DBI with openkore

Forum closed. All further discussion to be discussed at https://github.com/OpenKore/

Moderator: Moderators

Locked
Message
Author
majjjj
Noob
Noob
Posts: 2
Joined: 13 Feb 2012, 00:45
Noob?: Yes

Question about using DBI with openkore

#1 Post by majjjj »

I have Active Perl installed on my machine with DBI and DBD::mysql working. I have confirmed this.

However when I try to "use DBI" in a macro, the program fails because it cannot find "DBI.pm" in the macro folder. Any ideas how I can tell kore to use DBI that is already running using active perl? Attempting to load kore through active perl fails as well. It claims perl512.dll could not be found.

Any help would be greatly appreciated.

kLabMouse
Administrator
Administrator
Posts: 1301
Joined: 24 Apr 2008, 12:02

Re: Question about using DBI with openkore

#2 Post by kLabMouse »

Because you are starting OpenKore with custom packages not from perl.
You better Recompile OpenKore or use Perl 5.12

xxstreme
Human
Human
Posts: 20
Joined: 03 Dec 2008, 15:46
Noob?: Yes

Re: Question about using DBI with openkore

#3 Post by xxstreme »

is perl version 5.12.0.0? or can any 5.12.1.0 to 5.12.3.0 ?

Locked